中危 Django uri_to_iri 方法拒绝服务漏洞(CVE-2023-41164)

CVE编号

CVE-2023-41164

利用情况

暂无

补丁情况

官方补丁

披露时间

2023-08-24
漏洞描述
Django 是一个开放源代码的Web应用框架,django.utils.encoding.uri_to_iri 方法用于将 URL 转化为 IRI (国际化资源标识符),常用于处理国际化(i18n)和本地化(l10n)的网站或应用程序中。
受影响版本中,由于 django.utils.encoding.uri_to_iri 方法未对解析的 URL 字符长度进行过滤,攻击者可构造包含大量 Unicode 字符的输入造成拒绝服务。
解决建议
"升级django到 3.2.21、4.1.11、4.2.5 或更高版本"
"将组件 python-django 升级至 .2.21-1 及以上版本"
"将组件 python-django-doc 升级至 .11.29-1+deb10u10 及以上版本"
"将组件 python-django-common 升级至 .11.29-1+deb10u10 及以上版本"
"将组件 python3-django 升级至 .11.29-1+deb10u10 及以上版本"
"将组件 python-django 升级至 .11.29-1+deb10u10 及以上版本"
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 djangoproject django * From
(including)
3.2
Up to
(excluding)
3.2.21
运行在以下环境
应用 djangoproject django * From
(including)
4.1
Up to
(excluding)
4.1.11
运行在以下环境
应用 djangoproject django * From
(including)
4.2
Up to
(excluding)
4.2.5
运行在以下环境
系统 alpine_3.18 py3-django * Up to
(excluding)
4.2.5-r0
运行在以下环境
系统 alpine_3.19 py3-django * Up to
(excluding)
4.2.5-r0
运行在以下环境
系统 anolis_os_23 python-django * Up to
(excluding)
4.2.7-1
运行在以下环境
系统 debian_10 python-django * Up to
(excluding)
1.11.29-1+deb10u10
运行在以下环境
系统 fedoraproject fedora 39 -
运行在以下环境
系统 fedora_37 python-asgiref * Up to
(excluding)
3.5.2-1.fc37
运行在以下环境
系统 fedora_38 python-asgiref * Up to
(excluding)
3.5.2-1.fc38
运行在以下环境
系统 fedora_39 python-django * Up to
(excluding)
4.2.6-1.fc39
运行在以下环境
系统 ubuntu_20.04 python-django * Up to
(excluding)
2.2.12-1ubuntu0.19
运行在以下环境
系统 ubuntu_22.04 python-django * Up to
(excluding)
3.2.12-2ubuntu1.8
阿里云评分
6.2
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    普通权限
  • 影响范围
    越权影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-1284 Improper Validation of Specified Quantity in Input
阿里云安全产品覆盖情况